Subject: Re: [RFC PATCH] Ethtool style in kernel network driver configuration.

From: Ben Hutchings <[email-masked]>
Date: Thu, 11 Jun 2009 21:48:16 +0100

On Thu, 2009-06-11 at 16:24 -0400, Nicolas Pitre wrote:
> On Thu, 11 Jun 2009, Ben Hutchings wrote:
> 
> > On Thu, 2009-06-11 at 15:08 -0400, Nicolas Pitre wrote:
> > [...]
> > > > Please note, I'm talking about an init script -
> > > > which you surely must have - not an initramfs, which I recognise is
> > > > optional and unnecessary for most embedded systems.
> > > 
> > > An init script is already a luxury for some systems.
> > 
> > And so is an Ethernet port.  Instead of talking about hypotheticals, why
> > not talk about the system you need this workaround for?
> 
> Look, I personally do not need this.  And I'm rather tired arguing with 
> you.  Your shortsightedness and refusal for accommodation about needs 
> that aren't yours is representative of the main reason why there is 
> still a disconnect between mainline people and embedded people.  If you 
> can't admit it then I've failed my attempt at bridging the gap.
[...]

It's not my call as to whether your needs are accommodated, and in any
case I'm not trying to dismiss them.  I'm trying to understand them and
to suggest what seems like a better solution.

I'm primarily a driver maintainer and I work with an out-of-tree module
as well as an in-tree driver.  I've had to deal with many objections in
the process of submitting that out-of-tree code, and I worked to
overcome them.  This took several iterations and it was quite
frustrating at times.  But the result was a better driver.

I don't want to spend time arguing either, so if I've not yet convinced
you to try an alternative then so be it.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.